﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
using System.IO;
using System.Collections;


/// <summary>
/// DataBase 的摘要说明
/// </summary>
public class DataBase
{
    #region 属性
    protected OleDbConnection connect = new OleDbConnection();
    protected OleDbCommand comm = new OleDbCommand();
    #endregion
    public static readonly string CONN_STRING_NON_DTC = System.Configuration.ConfigurationManager.AppSettings["DbConnectStr"].ToString() + System.Web.HttpContext.Current.Server.MapPath(ConfigurationManager.AppSettings["DbPath"]) + ";";
    public DataBase()
	{
		//
		// TODO: 在此处添加构造函数逻辑
		//
	}
    /// <summary>
    /// 打开数据库连接
    /// </summary>
    private void OpenConnection()
    {
        
        if (connect.State == ConnectionState.Closed)
        {
          
           
            connect.ConnectionString =CONN_STRING_NON_DTC;
            comm.Connection = connect;
            try
            {
                connect.Open();
            }
            catch(Exception e)
            {
                throw new Exception(e.Message);
            }
        }
    }
    private void CloseConnection()
    {
        if (connect.State == ConnectionState.Open)
            connect.Close();
        connect.Dispose();
        comm.Dispose();
    }
    /// <summary>
    /// 执行Sql查询语句
    /// </summary>
    /// <param name="sqlstr">传入的Sql语句</param>
    public int ExecuteSql(string sqlstr)
    {
        int row = 0;
        try
        {
            OpenConnection();
            comm.CommandType = CommandType.Text;
            comm.CommandText = sqlstr;
            row=comm.ExecuteNonQuery();
        }
        catch 
        {
            row = 0;
        }
        finally
        {
            CloseConnection();
        }
        return row;
    }
    public int ExecuteNonQuery(string sqlstr)
    {
        int iNonQuery = 0;
        try
        {
            OpenConnection();
            comm.CommandType = CommandType.Text;
            comm.CommandText = sqlstr;
            iNonQuery=comm.ExecuteNonQuery();
        }
        catch 
        {
            iNonQuery = 0;
        }
        finally
        {
            CloseConnection();
        }
        return iNonQuery;
    }
    public DataSet dataset(string sqlstr)
    {
        DataSet ds = new DataSet();
        OleDbDataAdapter da = new OleDbDataAdapter();
        try
        {
            OpenConnection();
            comm.CommandType = CommandType.Text;
            comm.CommandText = sqlstr;
            da.SelectCommand = comm;
            da.Fill(ds);
        }
        catch (Exception e)
        {
            throw new Exception(e.Message);
        }
        finally 
        {
            CloseConnection();
        }
        return ds;
    }
    public DataTable datatable(string sqlstr)
    {
        DataTable dt = new DataTable();
        OleDbDataAdapter da = new OleDbDataAdapter();
        try
        {
            OpenConnection();
            comm.CommandType = CommandType.Text;
            comm.CommandText = sqlstr;
            da.SelectCommand = comm;
            da.Fill(dt);
        }
        catch (Exception e)
        {
            throw new Exception(e.Message);
        }
        finally
        {
            CloseConnection();
        }
        return dt;
    }
}
